package {
	import citrus.core.starling.StarlingState;
	import citrus.objects.platformer.box2d.Crate;
	import citrus.objects.platformer.box2d.Enemy;
	import citrus.objects.platformer.box2d.Hero;
	import citrus.objects.platformer.box2d.MovingPlatform;
	import citrus.objects.platformer.box2d.Platform;
	import citrus.physics.box2d.Box2D;
	
	public class PlatformLevel1 extends StarlingState {
		public function PlatformLevel1() {
			super();
		}
		
		override public function initialize():void {
			super.initialize();
			
			var physics:Box2D = new Box2D("box2d");
			physics.visible = true;
			add(physics);
			
			var hero:Hero = new Hero("myHero", { width:40, height:80, x:200, y:500 } );
			add(hero);
			hero.jumpHeight = 12;
			
			var floor:Platform = new Platform("floor", { width:1028, height:20, x:1024/2, y:758 } );
			var leftwall:Platform = new Platform("w1", { width:20, height:768, x:10, y:768/2 } );
			var rightwall:Platform = new Platform("w2", { width:20, height:768, x:1018, y:768/2 } );
			add(floor);
			add(leftwall);
			add(rightwall);
			
			var platform1:Platform = new Platform("p1", { width:300, height:20, x:300, y:600 } );
			platform1.oneWay = true;
			add(platform1);
			
			var elevator:MovingPlatform = new MovingPlatform("p2", { width:200, height:20, x:650, y:500,
							startX:650, startY:500, endX:650, endY:300 } );
			elevator.oneWay = true;
			add(elevator);
			
			var enemy:Enemy = new Enemy("enemy", { width:40, height:80, x:650, y:300, 
							leftBound:300, rightBound:600   } );
			add(enemy);
			
			var c1:Crate = new Crate( "c1", { width:40, height:40, x:400, y:300 } );
			var c2:Crate = new Crate( "c2", { width:40, height:40, x:390, y:200 } );
			var c3:Crate = new Crate( "c3", { width:40, height:40, x:380, y:100 } );
			add(c1);
			add(c2);
			add(c3);
		}
	}
}